> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/codapay/recurring-payments/initiate-payment-account-binding/payment-result-webhook-events.md).

# Payment Result Webhook Events

Payment Result having same callback contract as [Get notified of a transaction status change,](https://docs.coda.co/codapay/hosted-payment-page-integration/get-notified-of-a-transaction-status-change) plus `PaymentMethodId` field when it is a Account Binding process (Customer Initiated Transaction for future offSession payment)&#x20;

{% hint style="info" %}
`PaymentMethodId` will only applicable for Successful payments.&#x20;
{% endhint %}

{% tabs %}
{% tab title="v2.0 Notification" %}

<pre class="language-json5"><code class="lang-json5"><strong>// Sample for non-USD payments initiated
</strong>https://&#x3C;your_webhook_url>?
  TxnId=7715121708032676249
  OrderId=365f5Z619951c1a4b8
  TotalPrice=1.00
  PaymentType=237
  ResultCode=0
  Checksum=6b6c5e0f835f9f1442726bed3aedc3c9
  PayTaxRate=8.00
  PayCurrency=MYR
  PayAmount=1.00
  OriginAmount=1.00
  OriginCurrency=MYR
  SubTotalPrice=0.93
  PaymentMethodId=pmt_9281361551672933 // Only applied to Recurring Binding (CIT for MIT)

// Sample for USD payments initiated
https://&#x3C;your_webhook_url>?
  TxnId=7715122576202672831
  OrderId=365f5Z619951c1a4b8
  TotalPrice=1.17
  PaymentType=237
  ResultCode=0
  Checksum=10741fa6be7e6f2b189f029b3f8a0963
+ USDPrice=0.30
  PayTaxRate=8.00
  PayCurrency=MYR 
  PayAmount=1.17 
  OriginAmount=0.30
  OriginCurrency=USD 
  SubTotalPrice=1.08 
  PaymentMethodId=pmt_9281361551672933 // Only applied to Recurring Binding (CIT for MIT)
</code></pre>

{% endtab %}
{% endtabs %}

**Specific Result Code for Recurring:**

<table><thead><tr><th width="103.26953125">Result Code</th><th width="351.83984375">Description</th><th>Suggestion</th></tr></thead><tbody><tr><td>800</td><td>Payment method is not eligible for Merchant-Initiated Transactions (MIT).</td><td>Perform a Customer-Initiated Transaction (CIT) before attempting a Merchant-Initiated Transaction</td></tr><tr><td>801</td><td>Card is not eligible for Merchant-Initiated Transactions (MIT).</td><td>Prompt the customer to provide a card type that supports Merchant-Initiated Transactions</td></tr><tr><td>802</td><td>Re-authentication required. The cardholder or issuing bank revoked the standing mandate, or card details are expired.</td><td>Perform a Customer-Initiated Transaction (CIT) to re-authenticate the cardholder and establish a new mandate.</td></tr><tr><td>803</td><td>Recurring payment declined due to a transient processor or network issue.</td><td>Retry the Merchant-Initiated Transaction (MIT) later.</td></tr><tr><td>804</td><td>Recurring payment declined due to a closed account, stolen/lost card report, or fraud flag.</td><td>Stop all retry attempts. Prompt the customer to provide a new payment method.</td></tr></tbody></table>

Refer to overall result code list: <https://docs.coda.co/codapay/error-codes>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/codapay/recurring-payments/initiate-payment-account-binding/payment-result-webhook-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
